Subject: bug#76159: [PATCH] Precision on Ange FTP parsing of .authinfo file

From: Michael Albinus <[email-masked]>
Date: Mon, 10 Feb 2025 12:43:46 +0100

Manuel Giraud <[email-masked]> writes:

Hi Manuel,

>> 3. The Tramp manual explains already the port problem with the example
>>
>>    machine melancholia#4711 port davs login daniel%BIZARRE password geheim
>>
>> Shouldn't we simply say that this is also applicable for the 'ftp'
>> method?
>
> Yes, maybe that could be enough.  I don't really know how to phrase it
> though.

How about this:

diff --git a/doc/misc/tramp.texi b/doc/misc/tramp.texi
index 86ffba29744..3f6d25e3fab 100644
--- a/doc/misc/tramp.texi
+++ b/doc/misc/tramp.texi
@@ -2187,6 +2187,13 @@ Password handling
 machine melancholia#4711 port davs login daniel%BIZARRE password geheim
 @end example

+@noindent
+This must also be applied for the @option{ftp} method, like in
+
+@example
+machine @var{host}#@var{port} port ftp login @var{user} password secret
+@end example
+
 For the methods @option{doas}, @option{sudo}, @option{sudoedit} and
 @option{nspawn} the password of the user requesting the connection is
 needed, and not the password of the target user@footnote{On the local

Best regards, Michael.